#ifndef BPSMSubtitlesFile_h
#define BPSMSubtitlesFile_h

#import <Foundation/Foundation.h>

//! Represents external file for subtitles.
@interface BPSMSubtitlesFile : NSObject

//! ISO 3166-1 language code. It can be defined as alpha-2 or alpha-3 (2 or 3 letter language code).
@property NSString *languageCode;

//! URL address for raw subtiles file (not compressed by zip or similar compression method).
@property NSString *url;

+ (BPSMSubtitlesFile *) newWithLanguageCode: (NSString *)languageCode
    withUrl: (NSString *)url;
+ (BPSMSubtitlesFile *) newFromNSDictionary: (NSDictionary *)dict;

- (NSDictionary *) toNSDictionary;

@end

#endif /* BPSMSubtitlesFile_h */
